CORELIST(1)

NAME
corelist - a commandline frontend to Module::CoreList

DESCRIPTION
See Module::CoreList for one.

SYNOPSIS
    corelist -v
    corelist [-a] <ModuleName> | /<ModuleRegex>/ [<ModuleVersion>] ...
    corelist [-v <PerlVersion>] [ <ModuleName> | /<ModuleRegex>/ ] ...

OPTIONS

-a modulename
    lists all versions of the given module (or the matching modules, in case you used a module regexp) in the perls Module::CoreList knows about.

        corelist -a utf8

        utf8 was first released with perl 5.006
          5.006      undef
          5.006001   undef
          5.006002   undef
          5.007003   1.00
          5.008      1.00
          5.008001   1.02
          5.008002   1.02
          5.008003   1.02
          5.008004   1.03
          5.008005   1.04
          5.008006   1.04
          5.008007   1.05
          5.008008   1.06
          5.009      1.02
          5.009001   1.02
          5.009002   1.04
          5.009003   1.06

-? or -help
    help! help! help! to see more help, try --man.

-man
    all of the help

-v  lists all of the perl release versions we got the CoreList for.

    If you pass a version argument (value of $], like 5.00503 or 5.008008), you get a list of all the modules and their respective versions. (If you have the "version" module, you can also use new-style version numbers, like 5.8.8.)

    In module filtering context, it can be used as Perl version filter.

As a special case, if you specify the module name "Unicode", you'll get the version number of the Unicode Character Database bundled with the requested perl versions.

EXAMPLES
    $ corelist File::Spec

    File::Spec was first released with perl 5.005

    $ corelist File::Spec 0.83

    File::Spec 0.83 was released with perl 5.007003

    $ corelist File::Spec 0.89

    File::Spec 0.89 was not in CORE (or so I think)

    $ corelist File::Spec::Aliens

    File::Spec::Aliens  was not in CORE (or so I think)

    $ corelist /IPC::Open/

    IPC::Open2 was first released with perl 5

    IPC::Open3 was first released with perl 5

    $ corelist /MANIFEST/i

    ExtUtils::Manifest was first released with perl 5.001

    $ corelist /Template/

    /Template/  has no match in CORE (or so I think)

    $ corelist -v 5.8.8 B

    B                        1.09_01

    $ corelist -v 5.8.8 /^B::/

    B::Asmdata               1.01
    B::Assembler             0.07
    B::Bblock                1.02_01
    B::Bytecode              1.01_01
    B::C                     1.04_01
    B::CC                    1.00_01
    B::Concise               0.66
    B::Debug                 1.02_01
    B::Deparse               0.71
    B::Disassembler          1.05
    B::Lint                  1.03
    B::O                     1.00
    B::Showlex               1.02
    B::Stackobj              1.00
    B::Stash                 1.00
    B::Terse                 1.03_01
    B::Xref                  1.01

COPYRIGHT
Copyright (c) 2002-2007 by D.H. aka PodMaster

Currently maintained by the perl 5 porters <perl5-porters@perl.org>.

This program is distributed under the same terms as perl itself. See http://perl.org/ or http://cpan.org/ for more info on that.